/*Ejercicio4: tama¤o en bytes de los distintos tipos de datos*/
/* Se utiliza la funci¢n SIZEOF */

#include <stdio.h>
void main()
{
int a; 
float b;
double c;
char d;
short int e;
long int f;
long double g;
signed h;
unsigned int i;
unsigned long int j ;
unsigned char k;
printf("el tama¤o de un ENTERO (int)en este sistema es: %d bytes\n\n", sizeof (a));
printf("el tama¤o de un DECIMAL (float) en este sistema es: %d bytes\n\n", sizeof (b));
printf("el tama¤o de un DECIMAL (double) en este sistema es: %d bytes\n\n", sizeof (c));
printf("el tama¤o de un CARACTER (char) en este sistema es: %d bytes\n\n", sizeof (d));
printf("el tama¤o de un ENTERO CORTO (short int) en este sistema es: %d bytes\n\n", sizeof (e));
printf("el tama¤o de un ENTERO LARGO (long int) en este sistema es: %d bytes\n\n", sizeof (f));
printf("el tama¤o de un DECIMAL LARGO en este sistema es: %d bytes\n\n", sizeof (g));
printf("el tama¤o de un ENTERO CON SIGNO (signed)en este sistema es: %d bytes\n\n", sizeof (h));
printf("el tama¤o de un ENTERO SIN SIGNO (unsigned int)en este sistema es: %d bytes\n\n", sizeof (i));
printf("el tama¤o de un ENTERO LARGO SIN SIGNO (unsigned long int)en este sistema es: %d bytes\n\n", sizeof (j));
printf("el tama¤o de un CARACTER SIN SIGNO (unsigned char)en este sistema es: %d bytes\n\n", sizeof (k));
}




